<?php

namespace App\Services\Interfaces;

use App\Models\Group;
use Illuminate\Http\Request;

interface GroupRepositoryInterface
{
    public function get(Request $request);
    public function getItem(Group $group);
    public function create($request);
    public function update($request,$id);
    public function restore($request,$id);
    public function delete($request,$id);
}
